Ext.define('inubitmonitoring.ColumnHandler', {singleton:true, getQueuelogColumns:function(moduleId) {
  var id;
  if (moduleId) {
    var prop = BpcCommon.Api.getSetting(moduleId, 'inubitmonitor_configuration_params') || {};
    for (var i = 0; i < prop.logs.length; i++) {
      if (prop.logs[i]['userdefinedcolumns'] && prop.logs[i]['type'] == 'queueLog') {
        id = i;
      }
    }
  }
  var columns = [{header:inubitmonitoring.Support.getTranslation('globalPId'), dataIndex:'globalPId', flex:1, sortable:true, filter:{type:'string', dataIndex:'globalPId', emptyText:'Eg: 0-5 or 5 or 5-9'}}, {header:inubitmonitoring.Support.getTranslation('workflowId'), dataIndex:'workflowId', flex:1, sortable:true, filter:{type:'number', dataIndex:'workflowId', emptyText:inubitmonitoring.Support.getTranslation('numberEmptyText')}}, {header:inubitmonitoring.Support.getTranslation('workflowName'), dataIndex:'workflowName', 
  flex:1, sortable:true, filter:{type:'string', dataIndex:'workflowName'}}, {header:inubitmonitoring.Support.getTranslation('tag'), dataIndex:'tag', hidden:true, sortable:true, filter:{type:'string', dataIndex:'tag'}}, {header:inubitmonitoring.Support.getTranslation('moduleName'), dataIndex:'moduleName', flex:1, sortable:true, filter:{type:'string', dataIndex:'moduleName'}}, {header:inubitmonitoring.Support.getTranslation('moduleType'), dataIndex:'moduleType', flex:1, hidden:true, sortable:true, 
  filter:{type:'string', dataIndex:'moduleType'}}, {header:inubitmonitoring.Support.getTranslation('startTime'), dataIndex:'startTime', flex:1, hidden:true, xtype:'datecolumn', sortable:true, renderer:inubitmonitoring.Support.getDateAndFormatCell, filter:{type:'date', dataIndex:'startTime'}}, {header:inubitmonitoring.Support.getTranslation('nextStartTime'), dataIndex:'nextStartTime', xtype:'datecolumn', hidden:true, flex:1, sortable:true, renderer:inubitmonitoring.Support.getDateAndFormatCell, filter:{type:'date', 
  dataIndex:'nextStartTime'}}, {header:inubitmonitoring.Support.getTranslation('status'), dataIndex:'status', flex:1, sortable:true, filter:{type:'list', dataIndex:'status', options:['Error', 'Processing', 'Queued', 'Retry', 'Suspend', 'Waiting']}, renderer:inubitmonitoring.Support.getStatusAndFormatCell}, {header:inubitmonitoring.Support.getTranslation('fileName'), dataIndex:'fileName', flex:1, sortable:true, filter:{type:'string', dataIndex:'fileName'}}, {header:inubitmonitoring.Support.getTranslation('fileSize'), 
  dataIndex:'fileSize', flex:1, sortable:true, hidden:true, filter:{type:'number', dataIndex:'fileSize', emptyText:inubitmonitoring.Support.getTranslation('numberEmptyText')}}, {header:inubitmonitoring.Support.getTranslation('owner'), dataIndex:'owner', flex:1, sortable:true, filter:{type:'string', dataIndex:'owner'}}, {header:inubitmonitoring.Support.getTranslation('priority'), dataIndex:'priority', flex:1, sortable:true, hidden:true, renderer:inubitmonitoring.Support.getdataFormatCell, filter:{type:'list', 
  dataIndex:'priority', options:[inubitmonitoring.Support.getdataFormatCell('lowest'), inubitmonitoring.Support.getdataFormatCell('lower'), inubitmonitoring.Support.getdataFormatCell('low'), inubitmonitoring.Support.getdataFormatCell('normal'), inubitmonitoring.Support.getdataFormatCell('high'), inubitmonitoring.Support.getdataFormatCell('higher'), inubitmonitoring.Support.getdataFormatCell('highest')]}}, {header:inubitmonitoring.Support.getTranslation('node'), dataIndex:'node', flex:1, sortable:true, 
  hidden:true, filter:{type:'string', dataIndex:'node'}}, {header:!prop.logs[id]['userdefinedcolumns'].userDefinedCol1 ? 'is_userDefined1' : prop.logs[id]['userdefinedcolumns'].userDefinedCol1, dataIndex:'userDefined1', flex:1, hidden:true, sortable:true, filter:{type:'string', dataIndex:'userDefined1'}}, {header:!prop.logs[id]['userdefinedcolumns'].userDefinedCol2 ? 'is_userDefined2' : prop.logs[id]['userdefinedcolumns'].userDefinedCol2, dataIndex:'userDefined2', flex:1, hidden:true, sortable:true, 
  filter:{type:'string', dataIndex:'userDefined2'}}, {header:!prop.logs[id]['userdefinedcolumns'].userDefinedCol3 ? 'is_userDefined3' : prop.logs[id]['userdefinedcolumns'].userDefinedCol3, dataIndex:'userDefined3', flex:1, hidden:true, sortable:true, filter:{type:'string', dataIndex:'userDefined3'}}, {header:!prop.logs[id]['userdefinedcolumns'].userDefinedCol4 ? 'is_userDefined4' : prop.logs[id]['userdefinedcolumns'].userDefinedCol4, dataIndex:'userDefined4', flex:1, hidden:true, sortable:true, filter:{type:'string', 
  dataIndex:'userDefined4'}}, {header:!prop.logs[id]['userdefinedcolumns'].userDefinedCol5 ? 'is_userDefined5' : prop.logs[id]['userdefinedcolumns'].userDefinedCol5, dataIndex:'userDefined5', flex:1, hidden:true, sortable:true, filter:{type:'string', dataIndex:'userDefined5'}}];
  return columns;
}, getSystemlogColumns:function(moduleId) {
  var id;
  if (moduleId) {
    var prop = BpcCommon.Api.getSetting(moduleId, 'inubitmonitor_configuration_params') || {};
    for (var i = 0; i < prop.logs.length; i++) {
      if (prop.logs[i]['userdefinedcolumns'] && prop.logs[i]['type'] == 'systemLog') {
        id = i;
      }
    }
  }
  var columns = [{header:inubitmonitoring.Support.getTranslation('globalPId'), dataIndex:'globalPId', flex:1, sortable:true, filter:{type:'string', dataIndex:'globalPId', emptyText:'Eg: 0-5 or 5 or 5-9'}}, {header:inubitmonitoring.Support.getTranslation('workflowId'), dataIndex:'workflowId', flex:1, sortable:true, filter:{type:'number', dataIndex:'workflowId', emptyText:inubitmonitoring.Support.getTranslation('numberEmptyText')}}, {header:inubitmonitoring.Support.getTranslation('workflowName'), dataIndex:'workflowName', 
  sortable:true, flex:1, filter:{type:'string', dataIndex:'workflowName'}}, {header:inubitmonitoring.Support.getTranslation('tag'), dataIndex:'tag', flex:1, hidden:true, sortable:true, filter:{type:'string', dataIndex:'tag'}}, {header:inubitmonitoring.Support.getTranslation('inputModule'), dataIndex:'inputModule', flex:1, sortable:true, filter:{type:'string', dataIndex:'inputModule'}}, {header:inubitmonitoring.Support.getTranslation('outputModule'), dataIndex:'outputModule', flex:1, sortable:true, 
  filter:{type:'string', dataIndex:'outputModule'}}, {header:inubitmonitoring.Support.getTranslation('inputSize'), dataIndex:'inputSize', flex:1, hidden:true, sortable:true, filter:{type:'number', dataIndex:'inputSize', emptyText:inubitmonitoring.Support.getTranslation('numberEmptyText')}}, {header:inubitmonitoring.Support.getTranslation('outputSize'), dataIndex:'outputSize', flex:1, hidden:true, sortable:true, filter:{type:'number', dataIndex:'outputSize', emptyText:inubitmonitoring.Support.getTranslation('numberEmptyText')}}, 
  {header:inubitmonitoring.Support.getTranslation('startTime'), dataIndex:'startTime', xtype:'datecolumn', hidden:true, flex:1, renderer:inubitmonitoring.Support.getDateAndFormatCell, sortable:true, filter:{type:'date', dataIndex:'startTime'}}, {header:inubitmonitoring.Support.getTranslation('endTime'), dataIndex:'endTime', xtype:'datecolumn', hidden:true, flex:1, renderer:inubitmonitoring.Support.getDateAndFormatCell, sortable:true, filter:{type:'date', dataIndex:'endTime'}}, {header:inubitmonitoring.Support.getTranslation('duration'), 
  dataIndex:'duration', flex:1, hidden:true, sortable:true, filter:{type:'number', dataIndex:'duration', emptyText:inubitmonitoring.Support.getTranslation('numberEmptyText')}}, {header:inubitmonitoring.Support.getTranslation('status'), dataIndex:'success', flex:1, sortable:true, renderer:inubitmonitoring.Support.getStatusAndFormatCell, filter:{type:'boolean', dataIndex:'success', yesText:'OK', noText:'Error'}}, {header:inubitmonitoring.Support.getTranslation('message'), dataIndex:'message', flex:1, 
  hidden:true, sortable:true, filter:{type:'string', dataIndex:'message'}}, {header:inubitmonitoring.Support.getTranslation('owner'), dataIndex:'owner', flex:1, sortable:true, filter:{type:'string', dataIndex:'owner'}}, {header:inubitmonitoring.Support.getTranslation('priority'), dataIndex:'priority', flex:1, sortable:true, hidden:true, renderer:inubitmonitoring.Support.getdataFormatCell, filter:{type:'list', dataIndex:'priority', options:[inubitmonitoring.Support.getdataFormatCell('lowest'), inubitmonitoring.Support.getdataFormatCell('lower'), 
  inubitmonitoring.Support.getdataFormatCell('low'), inubitmonitoring.Support.getdataFormatCell('normal'), inubitmonitoring.Support.getdataFormatCell('high'), inubitmonitoring.Support.getdataFormatCell('higher'), inubitmonitoring.Support.getdataFormatCell('highest')]}}, {header:inubitmonitoring.Support.getTranslation('node'), dataIndex:'node', flex:1, hidden:true, sortable:true, filter:{type:'string', dataIndex:'node'}}, {header:!prop.logs[id]['userdefinedcolumns'].userDefinedCol1 ? 'is_userDefined1' : 
  prop.logs[id]['userdefinedcolumns'].userDefinedCol1, dataIndex:'userDefined1', flex:1, hidden:true, sortable:true, filter:{type:'string', dataIndex:'userDefined1'}}, {header:!prop.logs[id]['userdefinedcolumns'].userDefinedCol2 ? 'is_userDefined2' : prop.logs[id]['userdefinedcolumns'].userDefinedCol2, dataIndex:'userDefined2', flex:1, hidden:true, sortable:true, filter:{type:'string', dataIndex:'userDefined2'}}, {header:!prop.logs[id]['userdefinedcolumns'].userDefinedCol3 ? 'is_userDefined3' : prop.logs[id]['userdefinedcolumns'].userDefinedCol3, 
  dataIndex:'userDefined3', flex:1, hidden:true, sortable:true, filter:{type:'string', dataIndex:'userDefined3'}}, {header:!prop.logs[id]['userdefinedcolumns'].userDefinedCol4 ? 'is_userDefined4' : prop.logs[id]['userdefinedcolumns'].userDefinedCol4, dataIndex:'userDefined4', flex:1, hidden:true, sortable:true, filter:{type:'string', dataIndex:'userDefined4'}}, {header:!prop.logs[id]['userdefinedcolumns'].userDefinedCol5 ? 'is_userDefined5' : prop.logs[id]['userdefinedcolumns'].userDefinedCol5, dataIndex:'userDefined5', 
  flex:1, hidden:true, sortable:true, filter:{type:'string', dataIndex:'userDefined5'}}];
  return columns;
}, getAuditlogColumns:function() {
  var columns = [{header:inubitmonitoring.Support.getTranslation('operation'), dataIndex:'operation', flex:1, sortable:true, filter:{type:'list', dataIndex:'operation', options:[]}}, {header:inubitmonitoring.Support.getTranslation('objectName'), dataIndex:'objectName', flex:1, sortable:true, filter:{type:'string', dataIndex:'objectName'}}, {header:inubitmonitoring.Support.getTranslation('time'), dataIndex:'time', flex:1, xtype:'datecolumn', sortable:true, renderer:inubitmonitoring.Support.getDateAndFormatCell, 
  filter:{type:'date', dataIndex:'time'}}, {header:inubitmonitoring.Support.getTranslation('status'), dataIndex:'success', flex:1, sortable:true, renderer:inubitmonitoring.Support.getStatusAndFormatCell, filter:{type:'boolean', dataIndex:'success', yesText:'OK', noText:'Error'}}, {header:inubitmonitoring.Support.getTranslation('message'), dataIndex:'message', flex:1, sortable:true, filter:{type:'string', dataIndex:'message'}}, {header:inubitmonitoring.Support.getTranslation('user'), dataIndex:'user', 
  flex:1, sortable:true, filter:{type:'string', dataIndex:'user'}}];
  return columns;
}, getConnectionlogColumns:function() {
  var columns = [{header:inubitmonitoring.Support.getTranslation('systemId'), dataIndex:'systemId', flex:1, sortable:true, filter:{type:'string', dataIndex:'systemId'}}, {header:inubitmonitoring.Support.getTranslation('systemType'), dataIndex:'systemType', flex:1, sortable:true, filter:{type:'string', dataIndex:'systemType'}}, {header:inubitmonitoring.Support.getTranslation('version'), dataIndex:'version', flex:1, sortable:true, filter:{type:'string', dataIndex:'version'}}, {header:inubitmonitoring.Support.getTranslation('status'), 
  dataIndex:'connectionStatus', flex:1, sortable:true, filter:{type:'list', dataIndex:'connectionStatus', options:['Error', 'OK', 'Queued', 'Waiting']}, renderer:inubitmonitoring.Support.getStatusAndFormatCell}, {header:inubitmonitoring.Support.getTranslation('lastConnection'), dataIndex:'lastConnection', xtype:'datecolumn', flex:1, sortable:true, renderer:inubitmonitoring.Support.getDateAndFormatCell, filter:{type:'date', dataIndex:'lastConnection'}}, {header:inubitmonitoring.Support.getTranslation('licenceLastUpdate'), 
  dataIndex:'licenceLastUpdate', flex:1, sortable:true, filter:{type:'string', dataIndex:'licenceLastUpdate'}}, {header:inubitmonitoring.Support.getTranslation('licenceDuration'), dataIndex:'licenceDuration', flex:1, sortable:true, filter:{type:'string', dataIndex:'licenceDuration'}}];
  return columns;
}, getKeylogColumns:function() {
  var columns = [{header:inubitmonitoring.Support.getTranslation('moduleName'), dataIndex:'name', flex:1, sortable:true, filter:{type:'string', dataIndex:'name'}}, {header:inubitmonitoring.Support.getTranslation('propertyName'), dataIndex:'propertyName', flex:1, sortable:true, filter:{type:'string', dataIndex:'propertyName'}}, {header:inubitmonitoring.Support.getTranslation('description'), dataIndex:'description', flex:1, hidden:true, sortable:true, renderer:inubitmonitoring.Support.getdataFormatCell, 
  filter:{type:'list', dataIndex:'description', options:[]}}, {header:inubitmonitoring.Support.getTranslation('tag'), dataIndex:'tag', flex:1, hidden:true, sortable:true, filter:{type:'string', dataIndex:'tag'}}, {header:inubitmonitoring.Support.getTranslation('moduleType'), dataIndex:'type', flex:1, sortable:true, filter:{type:'string', dataIndex:'type'}}, {header:inubitmonitoring.Support.getTranslation('URL'), dataIndex:'URL', flex:1, sortable:true, filter:{type:'string', dataIndex:'URL'}}, {header:inubitmonitoring.Support.getTranslation('validity'), 
  dataIndex:'validity', xtype:'datecolumn', renderer:inubitmonitoring.Support.getDateAndFormatCell, flex:1, sortable:true, filter:{type:'date', dataIndex:'validity'}}, {header:inubitmonitoring.Support.getTranslation('serial_number'), dataIndex:'serial_number', flex:1, sortable:true, filter:{type:'string', dataIndex:'serial_number'}}, {header:inubitmonitoring.Support.getTranslation('subject'), dataIndex:'subject', flex:1, hidden:true, sortable:true, filter:{type:'string', dataIndex:'subject'}}, {header:inubitmonitoring.Support.getTranslation('owner'), 
  dataIndex:'owner', flex:1, sortable:true, filter:{type:'string', dataIndex:'owner'}}];
  return columns;
}, getSchedulerlogColumns:function() {
  var columns = [{header:inubitmonitoring.Support.getTranslation('workflowName'), dataIndex:'workflowName', flex:1, sortable:true, filter:{type:'string', dataIndex:'workflowName'}}, {header:inubitmonitoring.Support.getTranslation('moduleName'), dataIndex:'moduleName', flex:1, sortable:true, filter:{type:'string', dataIndex:'moduleName'}}, {header:inubitmonitoring.Support.getTranslation('tag'), dataIndex:'tag', flex:1, sortable:true, filter:{type:'string', dataIndex:'tag'}}, {header:inubitmonitoring.Support.getTranslation('moduleType'), 
  dataIndex:'moduleType', flex:1, sortable:true, filter:{type:'string', dataIndex:'moduleType'}}, {header:inubitmonitoring.Support.getTranslation('schedulerstatus'), dataIndex:'statusActive', flex:1, sortable:true, renderer:inubitmonitoring.Support.getdataFormatCell, filter:{type:'list', dataIndex:'statusActive', options:[inubitmonitoring.Support.getdataFormatCell('true'), inubitmonitoring.Support.getdataFormatCell('false'), inubitmonitoring.Support.getdataFormatCell('workflowNotActive')]}}, {header:inubitmonitoring.Support.getTranslation('nextStartTime'), 
  dataIndex:'nextStartTime', xtype:'datecolumn', flex:1, sortable:true, renderer:inubitmonitoring.Support.getDateAndFormatCell, filter:{type:'date', dataIndex:'nextStartTime'}}, {header:inubitmonitoring.Support.getTranslation('owner'), dataIndex:'owner', flex:1, sortable:true, filter:{type:'string', dataIndex:'owner'}}];
  return columns;
}, setprocesslogColumns:function(thisRef, data, colattr) {
  var fields = [];
  fields.push({name:data, mapping:data});
  thisRef.store.model.addFields(fields);
  var eColumn = {header:data, dataIndex:data, flex:1, sortable:true, filter:{type:'string', dataIndex:data}, listeners:{headerclick:inubitmonitoring.Support.doHeaderClick}};
  if (colattr && colattr.includes('Date')) {
    eColumn.filter.type = 'date';
    eColumn.xtype = 'datecolumn';
    eColumn.datatype = 'Date';
    eColumn.renderer = inubitmonitoring.Support.getDateAndFormatCell;
    fields = [];
    fields.push({name:data, mapping:data});
  }
  if (colattr && colattr.includes('Number')) {
    eColumn.datatype = 'Number';
    eColumn.filter.type = 'number';
    eColumn.filter.fields = {lt:{decimalPrecision:5}, gt:{decimalPrecision:5}, eq:{decimalPrecision:5}};
    eColumn.filter.emptyText = inubitmonitoring.Support.getTranslation('numberEmptyText');
  }
  thisRef.columns = Ext.Array.union(thisRef.columns, [eColumn]);
}});
Ext.define('inubitmonitoring.Support', {singleton:true, getDateAndFormatCell:function(v) {
  if (!v) {
    return '';
  } else if (v == '-1') {
    return Ext.Date.format(new Date(parseInt(0)), 'M j, Y, g:i:s.u a');
  } else {
    return Ext.Date.format(new Date(parseInt(v)), 'M j, Y, g:i:s.u a');
  }
}, getStatusAndFormatCell:function(val, metadata, record, moduleId) {
  val = val == 'true' ? 'OK' : 'Error';
  var style, status;
  var inlineStyle = 'width: 100px;border-radius:.25rem';
  if (this.moduleId) {
    var prop = BpcCommon.Api.getSetting(this.moduleId, 'inubitmonitor_configuration_params') || {};
    if (this.xtype == 'connectionLog') {
      status = record.data.connectionStatus;
    } else if (this.xtype == 'systemLog' || this.xtype == 'auditLog') {
      status = val;
    } else {
      status = record.data.status;
    }
    var tempStatus = status;
    for (var i = 0; i < prop.logs.length; i++) {
      if (this.xtype == prop.logs[i]['type'] && prop.logs[i].statuscolor && Object.keys(prop.logs[i].statuscolor).length >= 0) {
        if (tempStatus.includes('Retry')) {
          tempStatus = 'Retry';
        }
        switch(tempStatus) {
          case 'Error':
            style = inlineStyle + ';background-color:' + prop.logs[i].statuscolor.Error + ';';
            break;
          case 'Processing':
            style = inlineStyle + ';background-color:' + prop.logs[i].statuscolor.Processing + ';';
            break;
          case 'Retry':
            style = inlineStyle + ';background-color:' + prop.logs[i].statuscolor.Retry + ';';
            break;
          case 'Suspend':
            style = inlineStyle + ';background-color:' + prop.logs[i].statuscolor.Suspend + ';';
            break;
          case 'Waiting':
            style = inlineStyle + ';background-color:' + prop.logs[i].statuscolor.Waiting + ';';
            break;
          case 'Queued':
            style = inlineStyle + ';background-color:' + prop.logs[i].statuscolor.Queued + ';';
            break;
          default:
            style = '';
        }
      }
    }
  }
  return '\x3cdiv class\x3d"x-box-div" style\x3d"' + style + '"\x3e' + status + '\x3c/div\x3e';
}, getdataFormatCell:function(v) {
  var retval = inubitmonitoring.Support.getTranslation(v);
  return retval == 'INUBITMONITORING_' + v ? v : retval;
}, getStatusCount:function(thisref) {
  var responseText = '';
  var url = inubitmonitoring.Support.getBaseUrlForModuleId(thisref.moduleId) + 'inubitmonitor/' + thisref.xtype + '?instanceId\x3d' + thisref.moduleId + '\x26lang\x3d' + thisref.lang;
  url += '\x26columnName\x3dis_status';
  inubitmonitoring.data.Ajax.request({async:false, params:{lang:BpcCommon.Api.getSetting('_core', 'language')}, url:url, method:'GET', success:function(response) {
    if (response && response.responseXML) {
      var logsResponse = response.responseXML;
      var resultData = logsResponse.documentElement.childNodes[0].childNodes;
      if (resultData.length > 0) {
        for (var i = 0; i < resultData.length; i++) {
          responseText += '\x3cb\x3e ' + resultData[i].textContent + '(' + resultData[i].attributes[0].nodeValue + ')  \x3c/b\x3e |';
        }
      } else {
        responseText = '\x3cb\x3e N/A \x3c/b\x3e';
      }
    }
  }, failure:function(response, opts) {
    responseText = ' \x3cb\x3e N/A \x3c/b\x3e';
    console.error('Connection to backend failed to fetch ' + thisref.xtype);
  }});
  return responseText;
}, getBpcIconCls:function(fontAwesomeName) {
  if (Ext.String.startsWith(fontAwesomeName, 'x-fal')) {
    return fontAwesomeName;
  }
  if (!Ext.String.startsWith(fontAwesomeName, 'fa-')) {
    fontAwesomeName = 'fa-' + fontAwesomeName;
  }
  return 'x-fal' + ' ' + fontAwesomeName.trim();
}, getTranslation:function(key) {
  var starter = 'INUBITMONITORING_';
  key = !Ext.String.startsWith(key, starter) ? starter + key : key;
  return BpcCommon.Api.getTranslation(key);
}, getBaseUrlForModuleId:function(moduleId) {
  var delegateRequestsToOwnBackend = BpcCommon.Api.getSetting(moduleId, 'delegate_requests_to_own_backend_enable');
  return delegateRequestsToOwnBackend ? '/cxf/bpc-inubitmonitor/logs/' : BpcCommon.Api.getBackendUrl(BpcCommon.Api.getSetting(moduleId, 'proxy_Id')) + '/ibis/rest/';
}, loadData:function(url) {
  return this.doRequest(url, 'POST');
}, doRequest:function(url, method) {
  method = method || 'GET';
  return Ext.Ajax.request({url:url, method:method});
}, getIntegerProperty:function(intProperty, defaultValue) {
  if (intProperty) {
    if (!isNaN(intProperty)) {
      if (parseInt(intProperty) > 0) {
        return parseInt(intProperty);
      }
    }
  }
  return defaultValue;
}, getEmptyGrid:function(thisRef, emptyText) {
  thisRef.columns = [];
  var colname = inubitmonitoring.Support.getTranslation('tableNotFound');
  this.setEmptyProcessLogColumns(thisRef, colname);
  thisRef.view.ownerCt.reconfigure(thisRef.view.ownerCt.columns);
  thisRef.ownerGrid.setEmptyText(emptyText);
  var pagingtoolbar = thisRef.down('pagingtoolbar');
  pagingtoolbar.emptyMsg = inubitmonitoring.Support.getTranslation('tableNotFound');
  pagingtoolbar.updateInfo();
}, setEmptyProcessLogColumns:function(thisRef, data) {
  var fields = [];
  fields.push({name:data, mapping:data});
  thisRef.store.model.addFields(fields);
  var eColumn = {header:data, flex:1, sortable:false};
  thisRef.columns = Ext.Array.union(thisRef.columns, [eColumn]);
}, getTBar:function() {
  var tbar = {xtype:'pagingtoolbar', displayInfo:true, displayMsg:inubitmonitoring.Support.getTranslation('displayMsg'), emptyMsg:inubitmonitoring.Support.getTranslation('emptyMsg'), items:['-', {xtype:'tbtext', text:inubitmonitoring.Support.getTranslation('itemsText')}, {xtype:'textfield', allowblank:false, enableKeyEvents:true, listeners:{change:function() {
    var pagevalue = inubitmonitoring.Support.getIntegerProperty(this.getValue());
    if (pagevalue) {
      if (pagevalue > 1000) {
        this.setValue(1000);
        pagevalue = 1000;
      }
      this.ownerCt.ownerCt.pageSize = pagevalue;
    } else {
      this.ownerCt.ownerCt.pageSize = '';
    }
  }, render:function() {
    var grid = this.up('grid');
    var pageRows = inubitmonitoring.Support.getIntegerProperty(grid.moduleProperties.pageRows, 10);
    var pageSize = localStorage.getItem(grid.moduleId + '_' + grid.getXType());
    pageRows = pageSize ? pageSize : pageRows > 1000 ? 1000 : pageRows;
    this.setValue(pageRows);
    this.ownerCt.ownerCt.pageSizeid = this.getId();
    grid.store.setPageSize(pageRows);
  }, keypress:function(field, eo) {
    if (eo.getKey() == eo.ENTER) {
      this.up('pagingtoolbar').fireEvent('beforechange');
      var grid = this.up('grid');
      var current = grid.store.currentPage;
      if (this.fireEvent('beforeChange', this, current) !== false) {
        grid.store.loadPage(current);
        return true;
      }
      return false;
    }
  }}}, {xtype:'tbtext', text:inubitmonitoring.Support.getTranslation('itemText')}, '-', {xtype:'tbtext', text:'', listeners:{beforerender:function(valObj) {
    if (valObj.up().up().xtype === 'queueLog') {
      valObj.setText(inubitmonitoring.Support.getStatusCount(valObj.up().up()));
    }
    return valObj;
  }}}], listeners:{beforechange:function() {
    if (this.ownerCt.logdataurl) {
      var processArr = [];
      var tagKey = '';
      var columnIndex = 0;
      if (this.ownerCt.logdataurl.includes('inubitmonitor/auditLog')) {
        tagKey = 'OperationKey';
        columnIndex = 0;
      } else {
        tagKey = 'PropertyDescKey';
        columnIndex = 2;
      }
      inubitmonitoring.data.Ajax.request({async:false, params:{lang:BpcCommon.Api.getSetting('_core', 'language')}, url:this.ownerCt.logdataurl, method:'GET', success:function(response) {
        if (response && response.responseXML) {
          var process = response.responseXML.getElementsByTagName(tagKey);
          for (var i = 0; i < process.length; i++) {
            processArr.push(process[i].innerHTML);
          }
          processArr.sort();
        }
      }, failure:function(response, opts) {
      }});
      this.ownerCt.columns[columnIndex].filter.options = processArr;
    }
    var grid = this.up('grid');
    if (!this.ownerCt.pageSize) {
      this.items.getByKey(this.ownerCt.pageSizeid).setValue(inubitmonitoring.Support.getIntegerProperty(grid.moduleProperties.pageRows, 10));
    }
    localStorage.setItem(grid.moduleId + '_' + grid.getXType(), this.ownerCt.pageSize);
    this.store.setPageSize(this.ownerCt.pageSize);
    this.items.get(16).fireEvent('beforerender', this.items.get(16));
  }}};
  return tbar;
}, doHeaderClick:function() {
  var grid = this.up('grid');
  var logType = grid.getXType();
  var storageArrayJSONString = localStorage.getItem(logType + '-sort');
  var parsedStorageArray = JSON.parse(storageArrayJSONString);
  var k;
  if (grid.removeflag == 'true') {
    var proxyurl = grid.store.getProxy().url;
    var filterurl = '';
    if (proxyurl && proxyurl.includes('Filtering')) {
      proxyurl = proxyurl.split('\x26');
      for (k = 0; k < proxyurl.length; k++) {
        if (proxyurl[k].includes('Filtering')) {
          filterurl = '\x26' + proxyurl[k];
          break;
        }
      }
    }
    grid.removeflag = 'false';
    var curprop = this.dataIndex;
    var temp = [];
    for (k = 0; k < parsedStorageArray.length; k++) {
      if (parsedStorageArray[k].property == curprop && parsedStorageArray[k].direction == 'DESC') {
        this.setText(this.config.header);
      } else {
        temp.push({'property':parsedStorageArray[k].property, 'direction':parsedStorageArray[k].direction});
      }
    }
    localStorage.setItem(logType + '-sort', JSON.stringify(temp));
    var moreparam = '';
    var newsortfilterUrl, sortUrl;
    var proxy = grid.store.getProxy();
    newsortfilterUrl = grid.logurl;
    newsortfilterUrl = newsortfilterUrl.concat(filterurl);
    newsortfilterUrl = newsortfilterUrl.concat('\x26Sorting\x3d');
    var headercol = grid.columnManager.columns;
    for (k = 0; k < temp.length; k++) {
      if (k >= 1) {
        moreparam = ',';
      }
      for (var j = 0; j < headercol.length; j++) {
        if (headercol[j].dataIndex == temp[k].property) {
          headercol[j].setText(headercol[j].config.header + '  ' + '[' + (k + 1) + ']');
        }
      }
      sortUrl = moreparam + temp[k].property + ':' + (temp[k].direction == 'ASC' ? 'ASCENDING' : 'DESCENDING');
      newsortfilterUrl = newsortfilterUrl.concat(sortUrl);
    }
    proxy.setUrl(newsortfilterUrl);
    grid.store.load();
  }
  if (grid.flag == 'true') {
    var curdir = this.sortState;
    for (k = 0; k < parsedStorageArray.length; k++) {
      if (parsedStorageArray[k].property == this.dataIndex && curdir == parsedStorageArray[k].direction && curdir == 'ASC') {
        this.flag = 'true';
        var menu = this.getMenu();
        this.sortState = 'DESC';
        menu.activeHeader = this;
        this.onSortDescClick();
      }
    }
  }
  grid.flag = 'true';
}});
Ext.define('inubitmonitoring.data.Ajax', {extend:'Ext.data.Connection', singleton:true, async:false, method:'GET', defaultHeaders:{'Content-Type':'application/x-www-form-urlencoded; charset\x3dUTF-8'}, failure:function(response, opts) {
}, autoAbort:false});
Ext.define('inubitmonitoring.model.AuditLogMonitor', {extend:'Ext.data.Model', proxy:{type:'ajax', reader:'xml'}, fields:[{name:'operation', mapping:'operation'}, {name:'objectName', mapping:'objectName'}, {name:'time', mapping:'time'}, {name:'success', mapping:'success'}, {name:'message', mapping:'message'}, {name:'user', mapping:'user'}]});
Ext.define('inubitmonitoring.model.ConnectionLogMonitor', {extend:'Ext.data.Model', proxy:{type:'ajax', reader:'xml'}, fields:[{name:'systemId', mapping:'systemId'}, {name:'systemType', mapping:'systemType'}, {name:'version', mapping:'version'}, {name:'connectionStatus', mapping:'connectionStatus'}, {name:'lastConnection', mapping:'lastConnection'}, {name:'licenceLastUpdate', mapping:'licenceLastUpdate'}, {name:'licenceDuration', mapping:'licenceDuration'}]});
Ext.define('inubitmonitoring.model.KeyLogMonitor', {extend:'Ext.data.Model', proxy:{type:'ajax', reader:'xml'}, fields:[{name:'name', mapping:'name'}, {name:'propertyName', mapping:'propertyName'}, {name:'description', mapping:'description'}, {name:'tag', mapping:'tag'}, {name:'type', mapping:'type'}, {name:'URL', mapping:'URL'}, {name:'validity', mapping:'validity'}, {name:'serial_number', mapping:'serial_number'}, {name:'subject', mapping:'subject'}, {name:'owner', mapping:'owner'}]});
Ext.define('inubitmonitoring.model.QueueLogMonitor', {extend:'Ext.data.Model', proxy:{type:'ajax', reader:'xml'}, fields:[{name:'globalPId', mapping:'globalPId'}, {name:'workflowId', mapping:'workflowId'}, {name:'workflowName', mapping:'workflowName'}, {name:'tag', mapping:'tag'}, {name:'moduleName', mapping:'moduleName'}, {name:'moduleType', mapping:'moduleType'}, {name:'startTime', mapping:'startTime'}, {name:'nextStartTime', mapping:'nextStartTime'}, {name:'status', mapping:'status'}, {name:'fileName', 
mapping:'fileName'}, {name:'fileSize', mapping:'fileSize'}, {name:'owner', mapping:'owner'}, {name:'priority', mapping:'priority'}, {name:'node', mapping:'node'}, {name:'userDefined1', mapping:'userDefined1'}, {name:'userDefined2', mapping:'userDefined2'}, {name:'userDefined3', mapping:'userDefined3'}, {name:'userDefined4', mapping:'userDefined4'}, {name:'userDefined5', mapping:'userDefined5'}]});
Ext.define('inubitmonitoring.model.SchedulerLogMonitor', {extend:'Ext.data.Model', proxy:{type:'ajax', reader:'xml'}, fields:[{name:'workflowName', mapping:'workflowName'}, {name:'moduleName', mapping:'moduleName'}, {name:'tag', mapping:'tag'}, {name:'moduleType', mapping:'moduleType'}, {name:'statusActive', mapping:'statusActive'}, {name:'nextStartTime', mapping:'nextStartTime'}, {name:'owner', mapping:'owner'}]});
Ext.define('inubitmonitoring.model.SystemLogMonitor', {extend:'Ext.data.Model', proxy:{type:'ajax', reader:'xml'}, fields:[{name:'globalPId', mapping:'globalPId'}, {name:'workflowId', mapping:'workflowId'}, {name:'workflowName', mapping:'workflowName'}, {name:'tag', mapping:'tag'}, {name:'inputModule', mapping:'inputModule'}, {name:'outputModule', mapping:'outputModule'}, {name:'inputSize', mapping:'inputSize'}, {name:'outputSize', mapping:'outputSize'}, {name:'startTime', mapping:'startTime'}, {name:'endTime', 
mapping:'endTime'}, {name:'duration', mapping:'duration'}, {name:'success', mapping:'success'}, {name:'message', mapping:'message'}, {name:'owner', mapping:'owner'}, {name:'priority', mapping:'priority'}, {name:'node', mapping:'node'}, {name:'userDefined1', mapping:'userDefined1'}, {name:'userDefined2', mapping:'userDefined2'}, {name:'userDefined3', mapping:'userDefined3'}, {name:'userDefined4', mapping:'userDefined4'}, {name:'userDefined5', mapping:'userDefined5'}]});
Ext.define('inubitmonitoring.view.widget.monitor', {extend:'Ext.panel.Panel', alias:'widget.inubitmonitoringWidget', mixins:['BpcCommon.mixin.Widget'], statics:{WIDGET_NAME:'inubit Monitoring Widget', WIDGET_DESCRIPTION:BpcCommon.Api.getTranslation('INUBITMONITORING_WIDGET_DESCRIPTION'), WIDGET_ICON_CLS:'x-fal fa-file-spreadsheet'}, widgetConfigSettingMap:{moduleId:{settingType:'moduleInstance'}}, config:{widgetConfiguration:{}}, layout:'card', activeItem:0, title:false, moduleId:undefined, widgetId:undefined, 
wrongConfigPanel:{xtype:'container', padding:'10 10 10 10', items:[{xtype:'box', html:'Die Konfiguration ist unvollständig. Es muss mindestens der zugehörige Monitor augewählt sein.'}, {xtype:'button', text:'Konfiguration anzeigen', iconCls:'x-fal fa-cogs', handler:function() {
  var widget = this.up('tsmViewWidget');
  widget.getLayout().setActiveItem(widget.settingPanel);
}}]}, initComponent:function() {
  try {
    this.initWidgetSettings();
  } catch (e) {
    Ext.log({msg:this.self.getName() + ': ERROR initComponent booting WidgetSettings', dump:e, stack:true, level:'error'});
  }
  this.callParent(arguments);
  this.initWidget();
  this.settingPanel = this.add({xtype:'bpcSettingPanel', settings:this.settingStore, buttons:[{text:'OK', handler:this.configureWidget.bind(this)}, {text:'Standardwerte', handler:this.prepareWidgetConfiguration.bind(this, true)}]});
}, initWidget:function() {
  var $jscomp$this = this;
  var widgetDisplayCmp = {xtype:'container', html:'\x3cbr/\x3e Die ModuleId wurde dem Widget nicht zugewiesen oder existiert nicht.'};
  if (this.moduleId) {
    var dbComp = this.up('dbMain');
    var matchingWidgets = null;
    if (dbComp && dbComp.isComponent) {
      matchingWidgets = dbComp.query('monitorMain').filter(function(a) {
        return a.moduleId === $jscomp$this.moduleId && a.isVisible() === true;
      });
    }
    if (matchingWidgets != null && matchingWidgets.length > 0) {
      widgetDisplayCmp.html = BpcCommon.Api.getTranslation('INUBITMONITORING_MULTI_INSTANCE');
    } else {
      widgetDisplayCmp = Ext.create(Ext.apply({}, {xtype:'monitorMain'}, {moduleId:this.moduleId, header:false, baseUrl:inubitmonitoring.Support.getBaseUrlForModuleId(this.moduleId)}));
    }
  }
  this.wrapper = this.add(widgetDisplayCmp);
}, getWrapperReference:function() {
  var plugin = this.down('tsmPlugin');
  if (plugin && plugin.isComponent) {
    return plugin;
  } else {
    return null;
  }
}, refreshWidget:function() {
  var wrapper = this.getWrapperReference();
  if (wrapper !== null) {
    wrapper.loadData();
  }
}, configureWidget:function() {
  var card = this.settingPanel;
  if (card && card.isComponent && card.isVisible(true)) {
    card = this.wrapper;
  }
  this.getLayout().setActiveItem(card);
}});
Ext.define('inubitmonitoring.BpcInterface', {extend:'BpcCommon.BpcInterface', requires:['inubitmonitoring.view.widget.monitor'], config:{moduleConfigurationComponents:[], baseModuleView:null, mainView:null, widgets:['inubitmonitoring.view.widget.monitor']}});
Ext.define('inubitmonitoring.store.MonitorStore', {extend:'Ext.data.Store', alias:'store.monitorstore', storeView:this, start:0, pageSize:10});
Ext.define('inubitmonitoring.view.monitor.MonitorMain', {extend:'Ext.tab.Panel', requires:['Ext.layout.container.Card'], xtype:'monitorMain', style:'background-color:#dfe8f6; ', width:500, height:400, cls:Ext.baseCSSPrefix + 'shadow', controller:'mainlogs', defaults:{bodyPadding:0}, initComponent:function() {
  var defaults = {moduleId:this.moduleId, moduleProperties:BpcCommon.Api.getSetting(this.moduleId, 'inubitmonitor_configuration_params') || {}, lang:BpcCommon.Api.getSetting('_core', 'language')};
  var logstemplate = {width:1400, height:800, border:true, layout:'fit', padding:'10', region:'center'};
  var logsConfigured = defaults.moduleProperties.logs;
  var logsarray = [];
  if (logsConfigured) {
    for (i = 0; i < logsConfigured.length; i++) {
      logstemplate.title = logsConfigured[i].name;
      if (logsConfigured[i].type == 'systemLog') {
        logstemplate.xtype = 'systemLog';
        logstemplate.columns = inubitmonitoring.ColumnHandler.getSystemlogColumns(this.moduleId);
        logsarray.push(Ext.create(Ext.apply({}, logstemplate, defaults)));
      } else if (logsConfigured[i].type == 'queueLog') {
        logstemplate.xtype = 'queueLog';
        logstemplate.columns = inubitmonitoring.ColumnHandler.getQueuelogColumns(this.moduleId);
        logsarray.push(Ext.create(Ext.apply({}, logstemplate, defaults)));
      } else if (logsConfigured[i].type == 'auditLog') {
        logstemplate.xtype = 'auditLog';
        logstemplate.columns = inubitmonitoring.ColumnHandler.getAuditlogColumns();
        logsarray.push(Ext.create(Ext.apply({}, logstemplate, defaults)));
      } else if (logsConfigured[i].type == 'schedulerLog') {
        logstemplate.xtype = 'schedulerLog';
        logstemplate.columns = inubitmonitoring.ColumnHandler.getSchedulerlogColumns(), logsarray.push(Ext.create(Ext.apply({}, logstemplate, defaults)));
      } else if (logsConfigured[i].type == 'connectionLog') {
        logstemplate.xtype = 'connectionLog';
        logstemplate.columns = inubitmonitoring.ColumnHandler.getConnectionlogColumns();
        logsarray.push(Ext.create(Ext.apply({}, logstemplate, defaults)));
      } else if (logsConfigured[i].type == 'keyLog') {
        logstemplate.xtype = 'keyLog';
        logstemplate.columns = inubitmonitoring.ColumnHandler.getKeylogColumns();
        logsarray.push(Ext.create(Ext.apply({}, logstemplate, defaults)));
      } else if (logsConfigured[i].type == 'processLog') {
        var table = {tablename:logsConfigured[i].tablename, databaseName:logsConfigured[i].databaseName};
        logstemplate.xtype = 'processLog';
        logstemplate.columns = [];
        logsarray.push(Ext.create(Ext.apply(logstemplate, defaults, table)));
      }
    }
  }
  this.items = logsarray;
  this.callParent(arguments);
}});
Ext.define('inubitmonitoring.view.Main', {extend:'Ext.container.Container', requires:['inubitmonitoring.view.monitor.MonitorMain'], layout:'fit', moduleId:undefined, initComponent:function() {
  this.defaults = {moduleId:this.moduleId};
  this.items = [{xtype:'monitorMain'}];
  this.callParent(arguments);
}});
Ext.define('inubitmonitoring.view.monitor.MainLogController', {extend:'Ext.app.ViewController', alias:'controller.mainlogs', onFilterChange:function(thisRef, columnName, store, filters, eOpts) {
  this.reloadLogsAfterSortFilterModification(false, columnName, thisRef);
}, onSortChange:function(thisRef, columnName, store, filters, eOpts) {
  if (columnName.dataIndex == undefined) {
    this.view.removeflag = 'true';
    this.view.store.currentPage = 1;
    return;
  }
  if (this.view.flag == 'true') {
    this.view.flag = 'false';
  }
  this.reloadLogsAfterSortFilterModification(false, columnName, thisRef);
}, reloadLogsAfterSortFilterModification:function(eventing, columnName, cb, thisRef) {
  this.view.store.currentPage = 1;
  this.getExtraParamsForSortFilterModification(thisRef, columnName);
  this.view.store.load();
}, getExtraParamsForSortFilterModification:function(thisRef) {
  var proxy = this.view.store.getProxy();
  proxy.extraParams.filterComparison = [];
  proxy.extraParams.filterField = [];
  proxy.extraParams.filterValue = [];
  var mystoreFilter = this.view.filters.store.filters;
  var item = mystoreFilter.items;
  var filterUrl = '';
  if (!this.view.initURL) {
    this.view.initURL = proxy.getUrl();
  }
  var newsortfilterUrl = this.view.initURL;
  if (item.length > 0) {
    newsortfilterUrl = newsortfilterUrl.concat('\x26Filtering\x3d');
    var moreparam = '';
    for (var k = 0; k < item.length; k++) {
      if (item[k]._property && item[k]._value != undefined) {
        var columnFilterName = item[k]._property;
        var columnFilterValue = item[k]._value;
        var operator = item[k].config.operator;
        if (k >= 1) {
          moreparam = ',';
        }
        if (this.view.xtype != 'processLog' && (operator == 'lt' || operator == 'gt' || operator == 'eq')) {
          if (columnFilterName == 'workflowId' || columnFilterName == 'duration' || columnFilterName == 'globalPId' || columnFilterName == 'fileSize' || columnFilterName == 'inputSize' || columnFilterName == 'outputSize') {
            if (operator == 'lt') {
              filterUrl = columnFilterName + ':' + columnFilterValue + ':' + 'LT';
            } else if (operator == 'gt') {
              filterUrl = columnFilterName + ':' + columnFilterValue + ':' + 'GT';
            } else if (operator == 'eq') {
              filterUrl = columnFilterName + ':' + columnFilterValue + ':' + 'EQUAL';
            }
          } else {
            var dateInShort = item[k]._value.valueOf();
            if (operator == 'lt') {
              filterUrl = columnFilterName + ':' + (dateInShort - 1) + ':' + 'LESSER';
            } else if (operator == 'gt') {
              filterUrl = columnFilterName + ':' + (dateInShort + 86400000) + ':' + 'GREATER';
            } else if (operator == 'eq') {
              var dayend = dateInShort + 86399999;
              filterUrl = columnFilterName + ':' + dateInShort + ':BETWEEN:' + dateInShort + ':' + dayend;
            }
          }
          newsortfilterUrl = newsortfilterUrl.concat(moreparam, filterUrl);
        } else if (operator == '\x3d\x3d' || operator == 'in') {
          var count = 0;
          Ext.each(columnFilterValue, function(itemval) {
            var moreParam = '';
            if (columnFilterName == 'priority') {
              var lowest = inubitmonitoring.Support.getdataFormatCell('lowest');
              var lower = inubitmonitoring.Support.getdataFormatCell('lower');
              var low = inubitmonitoring.Support.getdataFormatCell('low');
              var normal = inubitmonitoring.Support.getdataFormatCell('normal');
              var high = inubitmonitoring.Support.getdataFormatCell('high');
              var higher = inubitmonitoring.Support.getdataFormatCell('higher');
              var highest = inubitmonitoring.Support.getdataFormatCell('highest');
              switch(itemval.toString()) {
                case lowest:
                  itemval = 'lowest';
                  break;
                case lower:
                  itemval = 'lower';
                  break;
                case low:
                  itemval = 'low';
                  break;
                case normal:
                  itemval = 'normal';
                  break;
                case high:
                  itemval = 'high';
                  break;
                case higher:
                  itemval = 'higher';
                  break;
                case highest:
                  itemval = 'highest';
                  break;
              }
            } else if (columnFilterName == 'statusActive') {
              var active = inubitmonitoring.Support.getdataFormatCell('true');
              var inactive = inubitmonitoring.Support.getdataFormatCell('false');
              var workflowNotActive = inubitmonitoring.Support.getdataFormatCell('workflowNotActive');
              switch(itemval.toString()) {
                case active:
                  itemval = 'true';
                  break;
                case inactive:
                  itemval = 'false';
                  break;
                case workflowNotActive:
                  itemval = 'workflowNotActive';
                  break;
              }
            }
            if (count > 0) {
              moreParam = ',';
            }
            filterUrl = moreParam + columnFilterName + ':' + itemval + ':EQUAL';
            if (count === 0) {
              newsortfilterUrl = newsortfilterUrl.concat(moreparam, filterUrl);
            } else {
              newsortfilterUrl = newsortfilterUrl.concat(filterUrl);
            }
            count++;
          });
        } else {
          if (columnFilterName == 'globalPId') {
            var workflowid = columnFilterValue.split('-').length > 1 ? columnFilterValue.replace('-', ':') : columnFilterValue + ':' + columnFilterValue;
            filterUrl = columnFilterName + ':' + columnFilterValue + ':BETWEEN:' + workflowid;
          } else {
            if (this.view.xtype == 'processLog') {
              var length = this.view.columns.length;
              var filterUrlInner;
              var innerMoreParam = ',';
              for (var i = 0; i < length; i++) {
                filterUrlInner = '';
                if (this.view.columns[i].dataIndex == columnFilterName && this.view.columns[i].datatype == 'Number') {
                  if (operator == 'lt') {
                    filterUrlInner = columnFilterName + ':' + columnFilterValue + ':' + 'LT';
                  } else if (operator == 'gt') {
                    filterUrlInner = columnFilterName + ':' + columnFilterValue + ':' + 'GT';
                  } else if (operator == 'eq') {
                    filterUrlInner = columnFilterName + ':' + columnFilterValue + ':' + 'EQUAL';
                  }
                } else if (this.view.columns[i].dataIndex == columnFilterName && this.view.columns[i].datatype == 'Date') {
                  var dateInShort = item[k]._value.valueOf();
                  if (operator == 'lt') {
                    filterUrlInner = columnFilterName + ':' + (dateInShort - 1) + ':' + 'LESSER';
                  } else if (operator == 'gt') {
                    filterUrlInner = columnFilterName + ':' + (dateInShort + 86400000) + ':' + 'GREATER';
                  } else if (operator == 'eq') {
                    var dayend = dateInShort + 86399999;
                    filterUrlInner = columnFilterName + ':' + dateInShort + ':BETWEEN:' + dateInShort + ':' + dayend;
                  }
                } else if (this.view.columns[i].dataIndex == columnFilterName) {
                  filterUrlInner = columnFilterName + ':' + columnFilterValue + ':LIKE';
                }
                if (filterUrlInner !== '') {
                  if (filterUrl === '') {
                    filterUrl = filterUrlInner;
                  } else {
                    filterUrl = filterUrl.concat(innerMoreParam, filterUrlInner);
                  }
                }
              }
            } else {
              filterUrl = columnFilterName + ':' + columnFilterValue + ':LIKE';
            }
          }
          newsortfilterUrl = newsortfilterUrl.concat(moreparam, filterUrl);
        }
      }
    }
  }
  moreparam = '';
  var mystoresortFilter = this.view.filters.store.sorters;
  var itemsort = '';
  if (mystoresortFilter && (itemsort = mystoresortFilter.items).length > 0) {
    var itemmap = mystoresortFilter.map;
    newsortfilterUrl = newsortfilterUrl.concat('\x26Sorting\x3d');
    var sortUrl;
    var logType = this.view.getXType();
    var storageArrayJSONString = localStorage.getItem(logType + '-sort');
    var parsedStorageArray = JSON.parse(storageArrayJSONString);
    var headercol = this.view.columns;
    var resetsort = '';
    var preset = true;
    if (parsedStorageArray != null) {
      var temp = [];
      count = 0;
      for (var i = 0; i < parsedStorageArray.length; i++) {
        if (itemsort[0]._property == parsedStorageArray[i].property) {
          parsedStorageArray[i].direction = itemsort[0]._direction;
          preset = false;
        }
        if (itemmap.hasOwnProperty(parsedStorageArray[i].property)) {
          if (count > 0) {
            moreparam = ',';
          }
          temp.push({'property':parsedStorageArray[i].property, 'direction':parsedStorageArray[i].direction});
          sortUrl = moreparam + parsedStorageArray[i].property + ':' + (parsedStorageArray[i].direction == 'ASC' ? 'ASCENDING' : 'DESCENDING');
          newsortfilterUrl = newsortfilterUrl.concat(sortUrl);
          count++;
        } else {
          resetsort = parsedStorageArray[i].property;
        }
      }
      parsedStorageArray = temp;
    } else {
      parsedStorageArray = [];
    }
    if (preset) {
      if (parsedStorageArray.length == 1) {
        moreparam = ',';
      }
      parsedStorageArray.push({'property':itemsort[0]._property, 'direction':itemsort[0]._direction});
      sortUrl = moreparam + itemsort[0]._property + ':' + (itemsort[0]._direction == 'ASC' ? 'ASCENDING' : 'DESCENDING');
      newsortfilterUrl = newsortfilterUrl.concat(sortUrl);
    }
    var col;
    for (k = 0; k < parsedStorageArray.length; k++) {
      for (var j = 0; j < headercol.length; j++) {
        col = this.view.getColumnManager().getHeaderAtIndex(j);
        if (headercol[j].dataIndex == parsedStorageArray[k].property) {
          col.setText(col.config.header + '  ' + '[' + (k + 1) + ']');
        }
        if (headercol[j].dataIndex == resetsort) {
          col.setText(col.config.header);
        }
      }
    }
    localStorage.setItem(logType + '-sort', JSON.stringify(parsedStorageArray));
  }
  proxy.setUrl(newsortfilterUrl);
}});
Ext.define('inubitmonitoring.view.monitor.logs.auditLog', {extend:'Ext.grid.Panel', alias:'widget.auditLog', requires:['Ext.util.MixedCollection', 'Ext.util.LocalStorage'], deferredRender:false, controller:'mainlogs', multiColumnSort:true, remoteSort:true, pageSize:10, pageSizeid:null, flag:true, removeflag:null, logurl:null, logdataurl:null, viewConfig:{deferEmptyText:false, emptyText:'No data or records found'}, store:{type:'monitorstore', model:'inubitmonitoring.model.AuditLogMonitor', autoLoad:false, 
remoteFilter:true, autoSort:false, proxy:{type:'ajax', url:'', reader:{type:'xml', rootProperty:'auditLog', totalProperty:'@total', successProperty:'@success', record:'row'}}}, autoScroll:true, tbar:inubitmonitoring.Support.getTBar(), listeners:{render:function(thisRef) {
  localStorage.removeItem('auditLog-sort');
  this.logurl = inubitmonitoring.Support.getBaseUrlForModuleId(this.moduleId) + 'inubitmonitor/auditLog?instanceId\x3d' + this.moduleId + '\x26lang\x3d' + this.lang;
  this.logdataurl = this.logurl + '\x26columnOption\x3doperation';
  this.store.getProxy().setUrl(this.logurl);
  var processArr = [];
  inubitmonitoring.data.Ajax.request({async:false, params:{lang:BpcCommon.Api.getSetting('_core', 'language')}, url:this.logdataurl, method:'GET', success:function(response) {
    if (response && response.responseXML) {
      var process = response.responseXML.getElementsByTagName('OperationKey');
      for (var i = 0; i < process.length; i++) {
        processArr.push(process[i].innerHTML);
      }
      processArr.sort();
    }
  }, failure:function(response, opts) {
    console.error('Connection to backend failed to fetch Audit log ');
  }});
  thisRef.columns[0].filter.options = processArr;
  var col = this.view.up('grid').columns;
  for (var i = 0; i < col.length; i++) {
    col[i].addListener('headerclick', inubitmonitoring.Support.doHeaderClick);
  }
  Ext.Ajax.on('requestexception', function(conn, response, options) {
    thisRef.store.loading = false;
    this.ownerGrid.view.loadMask.hide();
    if (response.status === 503) {
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('SERVICE_UNAVAILABLE_MSG'));
    } else if (response.status === 417) {
      this.ownerGrid.setEmptyText(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
    } else if (response.status === 401) {
      thisRef.ownerGrid.setEmptyText(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
    }
  }, thisRef);
  this.store.load();
}, filterchange:'onFilterChange', sortchange:'onSortChange'}, plugins:'gridfilters'});
Ext.define('inubitmonitoring.view.monitor.logs.connectionLog', {extend:'Ext.grid.Panel', alias:'widget.connectionLog', requires:['Ext.util.MixedCollection', 'Ext.util.LocalStorage'], deferredRender:false, title:'connection log', controller:'mainlogs', multiColumnSort:true, remoteSort:true, pageSize:10, pageSizeid:null, flag:true, removeflag:null, logurl:null, viewConfig:{deferEmptyText:false, emptyText:'No data or records found'}, store:{type:'monitorstore', model:'inubitmonitoring.model.ConnectionLogMonitor', 
autoLoad:false, remoteFilter:true, autoSort:false, proxy:{type:'ajax', url:'', reader:{type:'xml', rootProperty:'connectionLog', totalProperty:'@total', successProperty:'@success', record:'row'}}}, autoScroll:true, tbar:inubitmonitoring.Support.getTBar(), listeners:{render:function(thisRef) {
  localStorage.removeItem('connectionLog-sort');
  this.logurl = inubitmonitoring.Support.getBaseUrlForModuleId(this.moduleId) + 'inubitmonitor/connectionLog?instanceId\x3d' + this.moduleId + '\x26lang\x3d' + this.lang;
  this.store.getProxy().setUrl(this.logurl);
  var col = this.view.up('grid').columns;
  for (var i = 0; i < col.length; i++) {
    col[i].addListener('headerclick', inubitmonitoring.Support.doHeaderClick);
  }
  Ext.Ajax.on('requestexception', function(conn, response, options) {
    thisRef.store.loading = false;
    this.ownerGrid.view.loadMask.hide();
    if (response.status === 503) {
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('SERVICE_UNAVAILABLE_MSG'));
    } else if (response.status === 417) {
      thisRef.ownerGrid.setEmptyText(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
    } else if (response.status === 401) {
      thisRef.ownerGrid.setEmptyText(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
    }
  }, thisRef);
  this.store.load();
}, filterchange:'onFilterChange', sortchange:'onSortChange'}, plugins:'gridfilters'});
Ext.define('inubitmonitoring.view.monitor.logs.keyLog', {extend:'Ext.grid.Panel', alias:'widget.keyLog', requires:['Ext.util.MixedCollection', 'Ext.util.LocalStorage'], deferredRender:false, title:'key manager log', controller:'mainlogs', multiColumnSort:true, remoteSort:true, pageSize:10, pageSizeid:null, flag:true, removeflag:null, logurl:null, logdataurl:null, viewConfig:{deferEmptyText:false, emptyText:'No data or records found'}, store:{type:'monitorstore', model:'inubitmonitoring.model.KeyLogMonitor', 
autoLoad:false, remoteFilter:true, autoSort:false, proxy:{type:'ajax', url:'', reader:{type:'xml', rootProperty:'keyManagerLog', totalProperty:'@total', successProperty:'@success', record:'row'}}}, autoScroll:true, tbar:inubitmonitoring.Support.getTBar(), listeners:{render:function(thisRef) {
  localStorage.removeItem('keyManagerLog-sort');
  this.logurl = inubitmonitoring.Support.getBaseUrlForModuleId(this.moduleId) + 'inubitmonitor/keyManagerLog?instanceId\x3d' + this.moduleId + '\x26lang\x3d' + this.lang;
  this.logdataurl = this.logurl + '\x26columnOption\x3ddescription';
  this.store.getProxy().setUrl(this.logurl);
  var processArr = [];
  inubitmonitoring.data.Ajax.request({async:false, params:{lang:BpcCommon.Api.getSetting('_core', 'language')}, url:this.logdataurl, method:'GET', success:function(response) {
    if (response && response.responseXML) {
      var process = response.responseXML.getElementsByTagName('PropertyDescKey');
      for (var i = 0; i < process.length; i++) {
        processArr.push(process[i].innerHTML);
      }
      processArr.sort();
    }
  }, failure:function(response, opts) {
    console.error('Connection to backend failed to fetch Key log ');
  }});
  thisRef.columns[2].filter.options = processArr;
  var col = this.view.up('grid').columns;
  for (var i = 0; i < col.length; i++) {
    col[i].addListener('headerclick', inubitmonitoring.Support.doHeaderClick);
  }
  Ext.Ajax.on('requestexception', function(conn, response, options) {
    thisRef.store.loading = false;
    this.ownerGrid.view.loadMask.hide();
    if (response.status === 503) {
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('SERVICE_UNAVAILABLE_MSG'));
    } else if (response.status === 417) {
      this.ownerGrid.setEmptyText(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
    } else if (response.status === 401) {
      thisRef.ownerGrid.setEmptyText(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
    }
  }, thisRef);
  this.store.load();
}, filterchange:'onFilterChange', sortchange:'onSortChange'}, plugins:'gridfilters'});
Ext.define('inubitmonitoring.view.monitor.logs.processLog', {extend:'Ext.grid.Panel', alias:'widget.processLog', deferredRender:false, title:'Process log', controller:'mainlogs', multiColumnSort:true, remoteSort:true, columns:[], processPageSize:10, processPageSizeid:null, flag:true, removeflag:null, logurl:'', viewConfig:{deferEmptyText:false, emptyText:'No data or records found'}, autoScroll:true, tbar:{xtype:'pagingtoolbar', displayInfo:true, displayMsg:inubitmonitoring.Support.getTranslation('displayMsg'), 
emptyMsg:inubitmonitoring.Support.getTranslation('emptyMsg'), items:['-', {xtype:'tbtext', text:inubitmonitoring.Support.getTranslation('itemsText')}, {xtype:'textfield', allowblank:false, enableKeyEvents:true, listeners:{change:function() {
  var pagevalue = inubitmonitoring.Support.getIntegerProperty(this.getValue());
  if (pagevalue) {
    if (pagevalue > 1000) {
      this.setValue(1000);
      pagevalue = 1000;
    }
    this.ownerCt.ownerCt.processPageSize = pagevalue;
  } else {
    this.ownerCt.ownerCt.processPageSize = '';
  }
}, render:function() {
  var pageRows = inubitmonitoring.Support.getIntegerProperty(this.ownerCt.ownerCt.moduleProperties.pageRows, 10);
  var pageSize = localStorage.getItem(this.ownerCt.ownerCt.moduleId + '_' + this.ownerCt.ownerCt.tablename + 'processPageSize');
  pageRows = pageSize ? pageSize : pageRows > 1000 ? 1000 : pageRows;
  this.setValue(pageRows);
  this.ownerCt.ownerCt.processPageSizeid = this.getId();
  this.ownerCt.store.setPageSize(pageRows);
}, keypress:function(field, eo) {
  if (eo.getKey() == eo.ENTER) {
    this.up('pagingtoolbar').fireEvent('beforechange');
    var grid = this.up('grid');
    var current = grid.store.currentPage;
    if (this.fireEvent('beforeChange', this, current) !== false) {
      grid.store.loadPage(current);
      return true;
    }
    return false;
  }
}}}, {xtype:'tbtext', text:inubitmonitoring.Support.getTranslation('itemText')}], listeners:{beforechange:function() {
  var grid = this.up('grid');
  if (!this.ownerCt.processPageSize) {
    this.items.getByKey(this.ownerCt.processPageSizeid).setValue(inubitmonitoring.Support.getIntegerProperty(grid.moduleProperties.pageRows, 10));
  }
  localStorage.setItem(grid.moduleId + '_' + this.ownerCt.tablename + 'processPageSize', this.ownerCt.processPageSize);
  this.store.setPageSize(this.ownerCt.processPageSize);
}}}, listeners:{render:function(thisRef) {
  var processlogtable = thisRef.tablename;
  localStorage.removeItem(processlogtable + '-sort');
  this.logurl = inubitmonitoring.Support.getBaseUrlForModuleId(this.moduleId) + 'inubitmonitor/processLog' + '?instanceId\x3d' + this.moduleId + '\x26lang\x3d' + this.lang + '\x26LogTable\x3d' + processlogtable;
  if (thisRef.databaseName) {
    this.logurl = this.logurl + '\x26databaseName\x3d' + thisRef.databaseName;
  }
  var processModel = Ext.define(null, {extend:'Ext.data.Model', proxy:{type:'ajax', reader:'xml'}, fields:[]});
  var store = Ext.create('Ext.data.Store', {model:processModel, type:'monitorstore', autoLoad:false, autoSort:false, proxy:{type:'ajax', url:'', reader:{type:'xml', rootProperty:'processLog', totalProperty:'@total', successProperty:'@success', record:'row'}}});
  thisRef.view.ownerCt.setStore(store);
  inubitmonitoring.data.Ajax.request({url:this.logurl + '\x26columnOption\x3dMetaData', method:'GET', async:false, success:function(result) {
    if (result) {
      var rownode = result.responseXML.getElementsByTagName('Response');
      if (rownode.length > 0) {
        thisRef.columns = [];
        for (var i = 0; i < rownode[0].childNodes.length; i++) {
          var colname = rownode[0].childNodes[i].getAttribute('name');
          var colattr = rownode[0].childNodes[i].getAttribute('type');
          inubitmonitoring.ColumnHandler.setprocesslogColumns(thisRef, colname, colattr);
        }
        thisRef.view.ownerCt.reconfigure(thisRef.view.ownerCt.columns);
      } else {
        var pagingtoolbar = thisRef.down('pagingtoolbar');
        pagingtoolbar.emptyMsg = inubitmonitoring.Support.getTranslation('emptyMsg');
        pagingtoolbar.updateInfo();
      }
      thisRef.view.ownerCt.store.setRemoteFilter(true);
      thisRef.view.ownerCt.store.getProxy().setUrl(thisRef.view.ownerCt.logurl);
    }
  }, failure:function(result) {
    thisRef.view.ownerCt.store.getProxy().setUrl(thisRef.view.ownerCt.logurl);
    var pagingtoolbar = thisRef.down('pagingtoolbar');
    pagingtoolbar.emptyMsg = inubitmonitoring.Support.getTranslation('tableNotFound');
    pagingtoolbar.updateInfo();
  }});
  Ext.Ajax.on('requestexception', function(conn, response, options) {
    thisRef.store.loading = false;
    this.ownerGrid.view.loadMask.hide();
    if (response.status === 503) {
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('SERVICE_UNAVAILABLE_MSG'));
    } else if (response.status === 417) {
      var currentEmptyText = inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED');
      inubitmonitoring.Support.getEmptyGrid(thisRef, currentEmptyText);
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
    } else if (response.status === 401) {
      var currentEmptyText$0 = inubitmonitoring.Support.getTranslation('UNAUTHORIZED');
      inubitmonitoring.Support.getEmptyGrid(thisRef, currentEmptyText$0);
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
    }
  }, thisRef);
  thisRef.view.ownerCt.store.load();
}, filterchange:'onFilterChange', sortchange:'onSortChange'}, plugins:'gridfilters'});
Ext.define('inubitmonitoring.view.monitor.logs.queueLog', {extend:'Ext.grid.Panel', alias:'widget.queueLog', requires:['Ext.util.MixedCollection', 'Ext.util.LocalStorage'], deferredRender:false, controller:'mainlogs', multiColumnSort:true, remoteSort:true, pageSize:10, pageSizeid:null, flag:true, removeflag:null, logurl:null, viewConfig:{deferEmptyText:false, emptyText:'No data or records found'}, store:{type:'monitorstore', model:'inubitmonitoring.model.QueueLogMonitor', autoLoad:false, remoteFilter:true, 
autoSort:false, proxy:{type:'ajax', url:'', reader:{type:'xml', rootProperty:'queueLog', totalProperty:'@total', successProperty:'@success', record:'row'}}}, autoScroll:true, tbar:inubitmonitoring.Support.getTBar(), listeners:{render:function(thisRef) {
  localStorage.removeItem('queueLog-sort');
  this.logurl = inubitmonitoring.Support.getBaseUrlForModuleId(this.moduleId) + 'inubitmonitor/queueLog?instanceId\x3d' + this.moduleId + '\x26lang\x3d' + this.lang;
  this.store.getProxy().setUrl(this.logurl);
  var col = this.view.up('grid').columns;
  for (var i = 0; i < col.length; i++) {
    col[i].addListener('headerclick', inubitmonitoring.Support.doHeaderClick);
  }
  Ext.Ajax.on('requestexception', function(conn, response, options) {
    thisRef.store.loading = false;
    this.ownerGrid.view.loadMask.hide();
    if (response.status === 503) {
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('SERVICE_UNAVAILABLE_MSG'));
    } else if (response.status === 417) {
      thisRef.ownerGrid.setEmptyText(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
    } else if (response.status === 401) {
      thisRef.ownerGrid.setEmptyText(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
    }
  }, thisRef);
  this.store.load();
}, filterchange:'onFilterChange', sortchange:'onSortChange'}, plugins:'gridfilters'});
Ext.define('inubitmonitoring.view.monitor.logs.schedulerLog', {extend:'Ext.grid.Panel', alias:'widget.schedulerLog', requires:['Ext.util.MixedCollection', 'Ext.util.LocalStorage'], deferredRender:false, title:'Scheduler log', controller:'mainlogs', multiColumnSort:true, remoteSort:true, pageSize:10, pageSizeid:null, flag:true, removeflag:null, logurl:null, viewConfig:{deferEmptyText:false, emptyText:'No data or records found'}, store:{type:'monitorstore', model:'inubitmonitoring.model.SchedulerLogMonitor', 
autoLoad:false, remoteFilter:true, autoSort:false, proxy:{type:'ajax', url:'', reader:{type:'xml', rootProperty:'schedulerLog', totalProperty:'@total', successProperty:'@success', record:'row'}}}, autoScroll:true, tbar:inubitmonitoring.Support.getTBar(), listeners:{render:function(thisRef) {
  localStorage.removeItem('schedulerLog-sort');
  this.logurl = inubitmonitoring.Support.getBaseUrlForModuleId(this.moduleId) + 'inubitmonitor/schedulerLog?instanceId\x3d' + this.moduleId + '\x26lang\x3d' + this.lang;
  this.store.getProxy().setUrl(this.logurl);
  var col = this.view.up('grid').columns;
  for (var i = 0; i < col.length; i++) {
    col[i].addListener('headerclick', inubitmonitoring.Support.doHeaderClick);
  }
  Ext.Ajax.on('requestexception', function(conn, response, options) {
    thisRef.store.loading = false;
    this.ownerGrid.view.loadMask.hide();
    if (response.status === 503) {
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('SERVICE_UNAVAILABLE_MSG'));
    } else if (response.status === 417) {
      thisRef.ownerGrid.setEmptyText(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
    } else if (response.status === 401) {
      thisRef.ownerGrid.setEmptyText(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
    }
  }, thisRef);
  this.store.load();
}, filterchange:'onFilterChange', sortchange:'onSortChange'}, plugins:'gridfilters'});
Ext.define('inubitmonitoring.view.monitor.logs.systemLog', {extend:'Ext.grid.Panel', alias:'widget.systemLog', requires:['Ext.util.MixedCollection', 'Ext.util.LocalStorage'], deferredRender:false, title:'system log', controller:'mainlogs', multiColumnSort:true, remoteSort:true, pageSize:10, pageSizeid:null, flag:true, removeflag:null, logurl:null, viewConfig:{deferEmptyText:false, emptyText:'No data or records found'}, store:{type:'monitorstore', model:'inubitmonitoring.model.SystemLogMonitor', autoLoad:false, 
remoteFilter:true, autoSort:false, proxy:{type:'ajax', async:false, url:'', reader:{type:'xml', rootProperty:'systemLog', totalProperty:'@total', successProperty:'@success', record:'row'}}}, autoScroll:true, tbar:inubitmonitoring.Support.getTBar(), listeners:{render:function(thisRef) {
  localStorage.removeItem('systemLog-sort');
  this.logurl = inubitmonitoring.Support.getBaseUrlForModuleId(this.moduleId) + 'inubitmonitor/systemLog?instanceId\x3d' + this.moduleId + '\x26lang\x3d' + this.lang;
  this.store.getProxy().setUrl(this.logurl);
  Ext.Ajax.on('requestexception', function(conn, response, options) {
    thisRef.store.loading = false;
    thisRef.ownerGrid.view.loadMask.hide();
    if (response.status === 503) {
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('SERVICE_UNAVAILABLE_MSG'));
    } else if (response.status === 417) {
      thisRef.ownerGrid.setEmptyText(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('EXPECTATION_FAILED'));
    } else if (response.status === 401) {
      thisRef.ownerGrid.setEmptyText(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
      BpcCommon.Api.showNotification(inubitmonitoring.Support.getTranslation('UNAUTHORIZED'));
    }
  }, thisRef);
  var col = this.view.up('grid').columns;
  for (var i = 0; i < col.length; i++) {
    col[i].addListener('headerclick', inubitmonitoring.Support.doHeaderClick);
  }
  this.store.load();
}, filterchange:'onFilterChange', sortchange:'onSortChange'}, plugins:'gridfilters'});
